Page MenuHomePhabricator

[WLM] Make UW button targets dynamically set
Closed, ResolvedPublic3 Story Points

Description

The button configuration should be supplemented with the option to set the two buttons' href attribute dynamically. The home button needs an option to take users back to the page they came from, while the begin button should leave out the object reference when restarting the Upload Wizard.

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW added a project: TCB-Team.
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW edited a custom field.
Tobi_WMDE_SW renamed this task from [WLM] Extend upload wizard to support additional back-button to [WLM] Extend upload wizard to support additional button(s).Jul 9 2015, 8:27 AM
KasiaWMDE updated the task description. (Show Details)Jul 9 2015, 8:33 AM
KasiaWMDE moved this task from Incoming to Sprint Ready on the TCB-Team board.Jul 9 2015, 12:18 PM
KasiaWMDE raised the priority of this task from Normal to High.Jul 9 2015, 12:49 PM
Tobi_WMDE_SW moved this task from Backlog to Doing on the TCB-Team-Sprint-2015-07-15 board.
Tobi_WMDE_SW renamed this task from [WLM] Extend upload wizard to support additional button(s) to [WLM] Make UW button targets dynamically set.Jul 29 2015, 12:08 PM
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW edited a custom field.Jul 29 2015, 12:28 PM
kai.nissen updated the task description. (Show Details)Jul 29 2015, 2:31 PM
kai.nissen updated the task description. (Show Details)Jul 30 2015, 12:17 PM

Change 227984 had a related patch set uploaded (by Kai Nissen (WMDE)):
[UploadWizard] Introducing the usage of an object reference

https://gerrit.wikimedia.org/r/227984

Due to changes regarding UX, the current code needs to be changed.

The checkbox to choose which image should be placed in the referring list is always present. In case an image already exists the checkbox will be disabled and a notice will additionally be displayed (e. g. The list already contains an image). To keep the behaviour of the useObjref keyword for the home button configuration, the object reference still needs to be passed.

  • Additional parameter updateList set to any value for image requests.
  • The parameter updateList will be dropped when using the keyword dropObjref in the button configuration to achieve the desired behaviour when restarting the upload process.

Hi @MarkTraceur (same as T105283) could you have a look at the patch above? That would be really great as we are working on a deadline for the WLM. Thanks a lot in advance!

Hi @kaldari , could you have a look at the patch above? That would be great, thanks a lot in advance!

Change 227984 merged by jenkins-bot:
[UploadWizard] Introducing the usage of an object reference

https://gerrit.wikimedia.org/r/227984

Nemo_bis added a subscriber: Nemo_bis.

I'm not sure what the home button is being talked about here (do we really expect users to press the home button on their keywords to discover some feature?). If this can be used to redirect users to a certain URL after they're done uploading, great: WMIT is very interested in using such a feature immediately, examples appreciated.

(Please remember to set at least one component for the relevant code.)

Restricted Application added a project: Multimedia. · View Herald TranscriptSep 10 2015, 8:26 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript

I'm not sure what the home button is being talked about here (do we really expect users to press the home button on their keywords to discover some feature?). If this can be used to redirect users to a certain URL after they're done uploading, great: WMIT is very interested in using such a feature immediately, examples appreciated.

Descriptions for the newly added features have been added to the general documentation and the campaign documentation in particular. Poke me, if you have further questions about this.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 11 2015, 12:25 PM

I'm not sure what the home button is being talked about here (do we really expect users to press the home button on their keywords to discover some feature?).

No, it's the clickable button at the end of the upload process:

If this can be used to redirect users to a certain URL after they're done uploading, great: WMIT is very interested in using such a feature immediately, examples appreciated.

For T48242? Not sure, since setting the 'objref' URL parameter (which this patch added) also results in the same value being added to the file page, in a HTML comment. This is probably undesirable in most cases.

matmarex closed this task as Resolved.Sep 11 2015, 8:41 PM
matmarex removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Untriaged to Done on the Multimedia board.Sep 15 2015, 3:19 PM